# Notifo::AuthorizationApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**authorization_authorize**](AuthorizationApi.md#authorization_authorize) | **GET** /connect/authorize | 
[**authorization_exchange**](AuthorizationApi.md#authorization_exchange) | **POST** /connect/token | 
[**authorization_logout**](AuthorizationApi.md#authorization_logout) | **GET** /connect/logout | 

# **authorization_authorize**
> authorization_authorize



### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AuthorizationApi.new

begin
  api_instance.authorization_authorize
rescue Notifo::ApiError => e
  puts "Exception when calling AuthorizationApi->authorization_authorize: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **authorization_exchange**
> authorization_exchange



### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AuthorizationApi.new

begin
  api_instance.authorization_exchange
rescue Notifo::ApiError => e
  puts "Exception when calling AuthorizationApi->authorization_exchange: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **authorization_logout**
> authorization_logout



### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AuthorizationApi.new

begin
  api_instance.authorization_logout
rescue Notifo::ApiError => e
  puts "Exception when calling AuthorizationApi->authorization_logout: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



