# Notifo::PublishDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**topic** | **String** | The topic path. | 
**creator_id** | **String** | A custom id to identity the creator. | [optional] 
**template_code** | **String** | The template code. | [optional] 
**data** | **String** | Additional user defined data. | [optional] 
**timestamp** | **DateTime** | A custom timestamp. | [optional] 
**preformatted** | [**NotificationFormattingDto**](NotificationFormattingDto.md) |  | [optional] 
**settings** | [**Hash&lt;String, NotificationSettingDto&gt;**](NotificationSettingDto.md) | The notification settings. | [optional] 
**properties** | [**EventProperties**](EventProperties.md) |  | [optional] 
**scheduling** | [**SchedulingDto**](SchedulingDto.md) |  | [optional] 
**silent** | **BOOLEAN** | True when silent. | [optional] 
**test** | **BOOLEAN** | True when using test integrations. | [optional] 
**time_to_live_in_seconds** | **Integer** | The time to live in seconds. | [optional] 

