# Notifo::ConfigsApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**configs_get_languages**](ConfigsApi.md#configs_get_languages) | **GET** /api/languages | Get all supported languages.
[**configs_get_timezones**](ConfigsApi.md#configs_get_timezones) | **GET** /api/timezones | Get all supported timezones.

# **configs_get_languages**
> Array&lt;String&gt; configs_get_languages

Get all supported languages.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::ConfigsApi.new

begin
  #Get all supported languages.
  result = api_instance.configs_get_languages
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling ConfigsApi->configs_get_languages: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

**Array&lt;String&gt;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **configs_get_timezones**
> Array&lt;String&gt; configs_get_timezones

Get all supported timezones.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::ConfigsApi.new

begin
  #Get all supported timezones.
  result = api_instance.configs_get_timezones
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling ConfigsApi->configs_get_timezones: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

**Array&lt;String&gt;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



