# Notifo::EventDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The id of the event. | 
**topic** | **String** | The topic path. | 
**creator_id** | **String** | A custom id to identity the creator. | [optional] 
**display_name** | **String** | The display name. | 
**data** | **String** | Additional user defined data. | [optional] 
**created** | **DateTime** | The time when the event has been created. | 
**formatting** | [**NotificationFormattingDto**](NotificationFormattingDto.md) |  | 
**settings** | [**Hash&lt;String, NotificationSettingDto&gt;**](NotificationSettingDto.md) | Notification settings per channel. | 
**properties** | **Hash&lt;String, String&gt;** | User defined properties. | 
**scheduling** | [**SchedulingDto**](SchedulingDto.md) |  | [optional] 
**counters** | **Hash&lt;String, Integer&gt;** | The statistics counters. | 
**silent** | **BOOLEAN** | True when silent. | 
**time_to_live_in_seconds** | **Integer** | The time to live in seconds. | [optional] 

