# Notifo::NotificationDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The id of the notification. | 
**subject** | **String** | The subject of the notification in the language of the user. | 
**silent** | **BOOLEAN** | True when the notification is silent. | 
**is_confirmed** | **BOOLEAN** | True when the notification has been confirmed. | 
**is_seen** | **BOOLEAN** | True when the notification has been seen. | 
**created** | **DateTime** | The timestamp when the notification has been created. | 
**body** | **String** | The optional body text. | [optional] 
**image_small** | **String** | The optional link to the small image. | [optional] 
**image_large** | **String** | The optional link to the large image. | [optional] 
**tracking_url** | **String** | The tracking url that needs to be invoked to mark the notifiation as seen. | [optional] 
**link_url** | **String** | An optional link. | [optional] 
**link_text** | **String** | The link text. | [optional] 
**confirm_text** | **String** | The text for the confirm button. | [optional] 
**confirm_url** | **String** | The tracking url that needs to be invoked to mark the notifiation as confirmed. | [optional] 
**data** | **String** | Optional data, usually a json object. | [optional] 

